retryPanelAgentSoulRecallTask(params: RetryPanelAgentSoulRecallTaskParams)

Requires:
@tuya-miniapp/cloud-api≥1.x.x

Description

Retry a Memory Recall task.

Parameters

ParameterTypeRequiredDescription
YesRequest parameters

Return Value

Type: Promise<SoulTaskSubmitResult>
RetryPanelAgentSoulRecallTaskResult (see type definitions and minituya return parameters for field meanings)

Referenced Types

interfaceSoulTaskSubmitResult
PropertyTypeDescription
taskIdstringTask ID

Valid Values

RetryPanelAgentSoulRecallTaskParams.taskType
ValueDescriptionSince
SOUL_LIST_QUERY--
SOUL_MOVE--

Examples

Request example

import { retryPanelAgentSoulRecallTask } from '@tuya-miniapp/cloud-api';

const params = {
  devId: 'your_device_id',
  taskId: 'your_task_id',
  taskType: 'SOUL_MOVE',
};

retryPanelAgentSoulRecallTask(params)
  .then(result => {
    console.log('Retry Soul Recall task:', result);
  })
  .catch(error => {
    console.error('Failed to retry Soul Recall task:', error);
  });

Response example

{
  "taskId": "your_task_id"
}